XnModuleGestureGeneratorInterface Struct Reference

`#include <XnModuleInterface.h>`

## Public Attributes

XnModuleGeneratorInterface * | pGeneratorInterface
XnStatus(* | AddGesture )(XnModuleNodeHandle hGenerator, const XnChar *strGesture, XnBoundingBox3D *pArea)
XnStatus(* | RemoveGesture )(XnModuleNodeHandle hGenerator, const XnChar *strGesture)
XnStatus(* | GetActiveGestures )(XnModuleNodeHandle hGenerator, XnChar **pstrGestures, XnUInt16 *nGestures)
XnStatus(* | EnumerateGestures )(XnModuleNodeHandle hGenerator, XnChar **pstrGestures, XnUInt16 *nGestures)
XnBool(* | IsGestureAvailable )(XnModuleNodeHandle hInstance, const XnChar *strGesture)
XnBool(* | IsGestureProgressSupported )(XnModuleNodeHandle hGenerator, const XnChar *strGesture)
XnStatus(* | RegisterGestureCallbacks )(XnModuleNodeHandle hGenerator, XnModuleGestureRecognized RecognizedCB, XnModuleGestureProgress ProgressCB, void *pCookie, XnCallbackHandle *phCallback)
void(* | UnregisterGestureCallbacks )(XnModuleNodeHandle hGenerator, XnCallbackHandle hCallback)
XnStatus(* | RegisterToGestureChange )(XnModuleNodeHandle hGenerator, XnModuleStateChangedHandler handler, void *pCookie, XnCallbackHandle *phCallback)
void(* | UnregisterFromGestureChange )(XnModuleNodeHandle hGenerator, XnCallbackHandle hCallback)
XnStatus(* | GetAllActiveGestures )(XnModuleNodeHandle hGenerator, XnChar **pstrGestures, XnUInt32 nNameLength, XnUInt16 *nGestures)
XnStatus(* | EnumerateAllGestures )(XnModuleNodeHandle hGenerator, XnChar **pstrGestures, XnUInt32 nNameLength, XnUInt16 *nGestures)
XnStatus(* | RegisterToGestureIntermediateStageCompleted )(XnModuleNodeHandle hGenerator, XnModuleGestureIntermediateStageCompleted GestureIntermediateStageCompletedCB, void *pCookie, XnCallbackHandle *phCallback)
void(* | UnregisterFromGestureIntermediateStageCompleted )(XnModuleNodeHandle hGenerator, XnCallbackHandle hCallback)
XnStatus(* | RegisterToGestureReadyForNextIntermediateStage )(XnModuleNodeHandle hGenerator, XnModuleGestureReadyForNextIntermediateStage ReadyForNextIntermediateStageCB, void *pCookie, XnCallbackHandle *phCallback)
void(* | UnregisterFromGestureReadyForNextIntermediateStage )(XnModuleNodeHandle hGenerator, XnCallbackHandle hCallback)

## Detailed Description

Gesture generator Interface.

## Member Data Documentation

## AddGesture

XnStatus(* XnModuleGestureGeneratorInterface::AddGesture) (XnModuleNodeHandle hGenerator, const XnChar *strGesture, XnBoundingBox3D *pArea)

## EnumerateAllGestures

XnStatus(* XnModuleGestureGeneratorInterface::EnumerateAllGestures) (XnModuleNodeHandle hGenerator, XnChar **pstrGestures, XnUInt32 nNameLength, XnUInt16 *nGestures)

## EnumerateGestures

XnStatus(* XnModuleGestureGeneratorInterface::EnumerateGestures) (XnModuleNodeHandle hGenerator, XnChar **pstrGestures, XnUInt16 *nGestures)

## GetActiveGestures

XnStatus(* XnModuleGestureGeneratorInterface::GetActiveGestures) (XnModuleNodeHandle hGenerator, XnChar **pstrGestures, XnUInt16 *nGestures)

## GetAllActiveGestures

XnStatus(* XnModuleGestureGeneratorInterface::GetAllActiveGestures) (XnModuleNodeHandle hGenerator, XnChar **pstrGestures, XnUInt32 nNameLength, XnUInt16 *nGestures)

## IsGestureAvailable

XnBool(* XnModuleGestureGeneratorInterface::IsGestureAvailable) (XnModuleNodeHandle hInstance, const XnChar *strGesture)

## IsGestureProgressSupported

XnBool(* XnModuleGestureGeneratorInterface::IsGestureProgressSupported) (XnModuleNodeHandle hGenerator, const XnChar *strGesture)

## pGeneratorInterface

XnModuleGeneratorInterface* XnModuleGestureGeneratorInterface::pGeneratorInterface

## RegisterGestureCallbacks

XnStatus(* XnModuleGestureGeneratorInterface::RegisterGestureCallbacks) (XnModuleNodeHandle hGenerator, XnModuleGestureRecognized RecognizedCB, XnModuleGestureProgress ProgressCB, void *pCookie, XnCallbackHandle *phCallback)

## RegisterToGestureChange

XnStatus(* XnModuleGestureGeneratorInterface::RegisterToGestureChange) (XnModuleNodeHandle hGenerator, XnModuleStateChangedHandler handler, void *pCookie, XnCallbackHandle *phCallback)

## RegisterToGestureIntermediateStageCompleted

XnStatus(* XnModuleGestureGeneratorInterface::RegisterToGestureIntermediateStageCompleted) (XnModuleNodeHandle hGenerator, XnModuleGestureIntermediateStageCompleted GestureIntermediateStageCompletedCB, void *pCookie, XnCallbackHandle *phCallback)

## RegisterToGestureReadyForNextIntermediateStage

XnStatus(* XnModuleGestureGeneratorInterface::RegisterToGestureReadyForNextIntermediateStage) (XnModuleNodeHandle hGenerator, XnModuleGestureReadyForNextIntermediateStage ReadyForNextIntermediateStageCB, void *pCookie, XnCallbackHandle *phCallback)

## RemoveGesture

XnStatus(* XnModuleGestureGeneratorInterface::RemoveGesture) (XnModuleNodeHandle hGenerator, const XnChar *strGesture)

## UnregisterFromGestureChange

void(* XnModuleGestureGeneratorInterface::UnregisterFromGestureChange) (XnModuleNodeHandle hGenerator, XnCallbackHandle hCallback)

## UnregisterFromGestureIntermediateStageCompleted

void(* XnModuleGestureGeneratorInterface::UnregisterFromGestureIntermediateStageCompleted) (XnModuleNodeHandle hGenerator, XnCallbackHandle hCallback)

## UnregisterFromGestureReadyForNextIntermediateStage

void(* XnModuleGestureGeneratorInterface::UnregisterFromGestureReadyForNextIntermediateStage) (XnModuleNodeHandle hGenerator, XnCallbackHandle hCallback)

## UnregisterGestureCallbacks

void(* XnModuleGestureGeneratorInterface::UnregisterGestureCallbacks) (XnModuleNodeHandle hGenerator, XnCallbackHandle hCallback)

The documentation for this struct was generated from the following file:

- XnModuleInterface.h